Межсайтовый скриптинг в CuteNews

Дата публикации:
28.11.2006
Дата изменения:
26.01.2009
Всего просмотров:
1973
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CuteNews 1.x
Уязвимые версии: CuteNews 1.4.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в полях "Short Story" и "Full Story" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости атакующий должен иметь валидную учетную запись в приложении.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "mod", "image", "area" и "source" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости целевой пользователь должен быть авторизован в приложении.

3. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.cutephp.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Security analysis of cutenews 1.4.5

или введите имя

CAPTCHA